Package org.eclipse.wst.xsl.core.internal.util

## org.eclipse.wst.xsl.core.internal.util
Class FileUtil

    public class FileUtil
    extends java.lang.Object

This is a general file utility class.

## Constructor Summary

`FileUtil()`

## Method Summary

`public static boolean` | `isXMLFile(IFile file)` Determines if a file is one of the valid XML content types.
`public static boolean` | `isXSLFile(IFile file)` Determines if a file is a XSLT File.

## Constructor Detail

## FileUtil

`public FileUtil()`

## Methods Detail

## isXMLFile

`public boolean isXMLFile(IFile file)`

Determines if a file is one of the valid XML content types.

### Parameters

`file` - The input IFile to check

### Returns

`boolean` - True if it is a XML file, false otherwise.

## isXSLFile

`public boolean isXSLFile(IFile file)`

Determines if a file is a XSLT File.

### Parameters

`file` - The input IFile to check.

### Returns

`boolean` - True if it is a XSLT file, false otherwise.